### Method

# Ggit Repository rebase_open

#### Declaration [src]

    GgitRebase*
    ggit_repository_rebase_open (
      GgitRepository* repository,
      GgitRebaseOptions* options,
      GError** error
    )

#### Description [src]

Opens an existing rebase that was previously started by either an invocation of `ggit_rebase_init()` or by another client.

#### Parameters

`options`

  Type: `GgitRebaseOptions`

  A `GgitRebaseOptions` to specify how rebase is performed, or `NULL`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRebase`

A newly allocated `GgitRebase`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.